Mailinglist Archive: opensuse-factory (549 mails)

< Previous Next >
Re: [opensuse-factory] unexpected / undocumented question during 11.1 -> 11.2 upgrade
  • From: "Carlos E. R." <robin.listas@xxxxxxxxxxxxxx>
  • Date: Tue, 10 Nov 2009 22:16:19 +0100 (CET)
  • Message-id: <alpine.LSU.2.00.0911102205060.5098@xxxxxxxxxxxxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1



On Tuesday, 2009-11-10 at 12:51 +0100, Jano Kupec wrote:

...

Exactly. Zypper requires e.g. newer libzypp. And e.g. yast depends on
libzypp - that's why many yast packages must be pulled in, too. And it
goes similarly for the rest.

But YaST is not being upgraded, only zypper.

I think that zypper should add somehow (for 11.3) code to upgrade itself first (and only zypper and really needed libraries) as a prior and special step to a "dup". Similar to what YaST does when it sees an update to YaST: it download and installs first the changed YaST packages, restarts YaST, then restarts the upgrade, automatically.

It could be part of the dup sequence, or a new parameter.

And it should not touch anything else. It does not make much sense to start doing changes to things like kde with a zypper still not upgraded, and which could then do the wrong decisions.

- -- Cheers,
Carlos E. R.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)

iEYEARECAAYFAkr52C0ACgkQtTMYHG2NR9WkzQCfS5F+DEwK8uiHzMos6fr0T0X8
hcMAoJGVNeHr8rkjkNihLRDyHNsWqsHW
=/Xnp
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-factory+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups